Jump to content
Torben

Ændring af logo

Recommended Posts

Hej

Jeg har et problem, som jeg ikke kan finde hjælp til:
Jeg ville den anden dag lægge et opdateret logo på shoppen (www.oac.dk/shop). Det er jpg format. Jeg uploadede i Indstillinger > Temaer > vi bruger default-bootstrap
På fakturaen, i e-mails og på mobil / iPad ser det fint ud. Men på en computer vises der på logoets plads bare et stor spørgsmålstegn.
I defines.inc.php: define('_PS_MODE_DEV_', false); - ændrede jeg til true - og fik disse fejlmeddelelser:
Front: Warning: Use of undefined constant MCRYPT_RIJNDAEL_128 - assumed 'MCRYPT_RIJNDAEL_128' (this will throw an Error in a future version of PHP) in /customers/5/a/1/oac.dk/httpd.www/shop/classes/Rijndael.php on line 124
BO: Warning på linje 551 i filen /customers/5/a/1/oac.dk/httpd.www/shop/classes/controller/AdminController.php
[2] count(): Parameter must be an array or an object that implements Countable
Warning på linje 1829 i filen /customers/5/a/1/oac.dk/httpd.www/shop/classes/controller/AdminController.php
[2] Cannot modify header information - headers already sent by (output started at /customers/5/a/1/oac.dk/httpd.www/shop/classes/Rijndael.php:124)
Warning på linje 3274 i filen /customers/5/a/1/oac.dk/httpd.www/shop/classes/controller/AdminController.php
[2] count(): Parameter must be an array or an object that implements Countable

Et par steder på nettet står der, at man skal sætte PHP til 7.0, men det kan man ikke længere hos vores host.

PS 1.6.1.24, hostet hos one.com, PHP 7.2

Håber at en kan hjælpe!

Share this post


Link to post
Share on other sites

Jeg skal ikke kunne sige, hvorfor logoet vises som et spørgsmålstegn, idet jeg formoder, at der ligger et billede der hedder logo.jpg på placeringen https://oac.dk/shop/img/logo.jpg

Dine fejlmeddelelser har ikke umiddelbart noget at gøre med logoet.

Du kan jo overveje at skifte til en host, der selv lader dig vælge PHP version. PrestaShop 1.6 er ikke kodet til at køre version 7.2 - dog kan det godt lade sig gøre på mange shops, men dog med fejlmeddelelser når debugging er slået til ligesom der kan være moduler, der ikke kan køre PHP 7.2

Share this post


Link to post
Share on other sites

Det kan godt være at skifte af host er en mulighed. Men måske en stakket frist.

Php 7.2 udfases 30.11.2020. Ps1.6.1.24 kører på php 7.2, men ikke på php 7.3.

Så diverse hosts skifter sikkert til php 7.3 om et år.

Efter min mening kan man lige så godt bide i det sure æble op opgradere til ps 1.7. Man har hele året.

Share this post


Link to post
Share on other sites

cHosting lukker ikke for gamle PHP versioner sådan lige med det første. Så det er måske en stakket frist, men på minimum nogle år. F.eks. har de stadig PHP 5.6 (at det så ikke er godt at bruge den version stadigvæk, er en anden snak). I hvert fald ville jeg ikke kunne affinde mig med en host der tvinger kunder over på nye versioner og ikke giver mulighed for at benytte ældre versioner.

  • Like 1

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More